ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eric Yang (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-10472) RU: add compatible stacks for upgrade purposes
Date Wed, 15 Apr 2015 14:48:59 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-10472?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14496277#comment-14496277
] 

Eric Yang commented on AMBARI-10472:
------------------------------------

In the source code, this is written:

/ambari-server/src/main/resources/stacks/HDP/2.2/upgrades/upgrade-2.3.xml

This means by the time code is written for HDP 2.2, you need to know if it is compatible with
future stacks, or the code needs to be upgraded by future version of Ambari to identify this
version compatibility matrix.  There is no confusion of what this does, and I am only point
out the flaw in this design.

> RU: add compatible stacks for upgrade purposes
> ----------------------------------------------
>
>                 Key: AMBARI-10472
>                 URL: https://issues.apache.org/jira/browse/AMBARI-10472
>             Project: Ambari
>          Issue Type: Task
>          Components: ambari-server
>            Reporter: Nate Cole
>            Assignee: Nate Cole
>             Fix For: 2.1.0
>
>         Attachments: AMBARI-10472.patch
>
>
> Changes required to support adding cross-stack versions and installation for a cluster.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message